#include "scene.h"
#include "../state.h"


void switch_to(struct state *state, struct scene *(*scene_func)(struct state *)) {
    state->next_scene = scene_func(state);
    state->is_scene_switching = true;
}
